<?php
class si_contact_info_widget extends WP_Widget {
	
	
  function si_contact_info_widget () {
   //process widget
    $widget_options = array(
      'classname'=> 'si_contact_info_widget
_classname',
      'description'=> 'Display contact info.',
      );
    $this->WP_Widget('si_contact_info_widget
', 'Contact info - Simplified', $widget_options);
  }
  
  
  function form($instance){
    //show widget form in admin panel
    $default_settings = array(
      'title' => 'Advertisements',
      'contact_box_1'=>'',
      'contact_box_2'=>'',
      'contact_box_3'=>'',
      'contact_box_4'=>'',
      );
    $instance = wp_parse_args(
      (array) $instance,
      $default_settings
      );
    $title = $instance['title'];
    $contact_box_1 = $instance['contact_box_1'];
    $contact_box_2 = $instance['contact_box_2'];
    $contact_box_3 = $instance['contact_box_3'];
    $contact_box_4 = $instance['contact_box_4'];
    ?>
    <p>Title: <input class="widefat" 
      name="<?php echo $this->get_field_name('title') ?>" 
      type="text" value="<?php echo esc_attr($title)?>"/>
    </p>
    <p>Ads Box 1: <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_1') ?>"
      ><?php echo esc_attr($contact_box_1) ?></textarea>
    </p>
    <p>Ads Box 2: <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_2') ?>" 
      ><?php echo esc_attr($contact_box_2) ?></textarea>
    </p>
    <p>Ads Box 3: <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_3') ?>"
       ><?php echo esc_attr($contact_box_3) ?></textarea>
    </p>
    <p>Ads Box 4: <textarea class="widefat" 
      name="<?php echo $this->get_field_name('contact_box_4') ?>"
       ><?php echo esc_attr($contact_box_4) ?></textarea>
     </p>
    <?php
  }
  
    public function update( $new_instance, $old_instance ) {
  {
    //update widget settings
    $instance = $old_instance;
    $instance['title'] = strip_tags($new_instance['title']);
    $instance['contact_box_1'] = $new_instance['contact_box_1'];
    $instance['contact_box_2'] = $new_instance['contact_box_2'];
    $instance['contact_box_3'] = $new_instance['contact_box_3'];
    $instance['contact_box_4'] = $new_instance['contact_box_4'];

    return $instance;
  }
  
  
  function widget($args, $instance)
  {
    //display widget
    extract($args);

    echo $before_widget;
    
    $title = apply_filters('widget_title', $instance['title']);
    $contact_box_1 = empty($instance['contact_box_1']) ? '' : $instance['contact_box_1'];
    $contact_box_2 = empty($instance['contact_box_2']) ? '' : $instance['contact_box_2'];
    $contact_box_3 = empty($instance['contact_box_3']) ? '' : $instance['contact_box_3'];
    $contact_box_4 = empty($instance['contact_box_4']) ? '' : $instance['contact_box_4'];
    
    if(!empty($title)){ echo $before_title . $title . $after_title; }
    echo '<ul class="cli_sb_contact_boxes">
    <li>'.$contact_box_1.'</li>
    <li>'.$contact_box_2.'</li>
    <li>'.$contact_box_3.'</li>
    <li>'.$contact_box_4.'</li>
    </ul>';

    echo $after_widget;
  }
	}}


//register widget
add_action( 'widgets_init', function(){
     register_widget( 'si_contact_info_widget' );
});	

?>